Bug 7416 - python-tdb: KeyError: 'No such TDB entry' is unhelpful
python-tdb: KeyError: 'No such TDB entry' is unhelpful
Status: RESOLVED FIXED
Product: TDB
Classification: Unclassified
Component: tools
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 07:48 UTC by Max Bowsher
Modified: 2016-01-19 12:31 UTC (History)
1 user (show)

See Also:


Attachments
KeyError patch (1016 bytes, patch)
2015-07-17 08:32 UTC, Aurélien Aptel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Bowsher 2010-05-07 07:48:56 UTC
Python default dictionaries raise KeyError(key_that_was_not_found). TDB raises KeyError('No such TDB entry'). This is less helpful, as the interesting knowledge of what the key was is lost. TDB should raise KeyError(key_that_was_not_found) too.
Comment 1 Aurélien Aptel 2015-07-17 08:32:11 UTC
Created attachment 11267 [details]
KeyError patch
Comment 2 Jim McDonough 2016-01-19 12:31:19 UTC
Patch was pushed to master some time ago.